Loading...
Searching...
No Matches
ojph_img_io.cpp File Reference
`#include <cstdlib>`
`#include <cstring>`
`#include "ojph_file.h"`
`#include "ojph_img_io.h"`
`#include "ojph_mem.h"`
`#include "ojph_message.h"`

Go to the source code of this file.

## Namespaces

namespace | ojph

## Functions

static ui16 | ojph::be2le (const ui16 v)
static ui32 | ojph::be2le (const ui32 t)
static void | ojph::eat_white_spaces (FILE *fh)
void | ojph::gen_cvrt_32b1c_to_8ub1c (const line_buf *ln0, const line_buf *ln1, const line_buf *ln2, void *dp, ui32 bit_depth, ui32 count)
void | ojph::gen_cvrt_32b3c_to_8ub3c (const line_buf *ln0, const line_buf *ln1, const line_buf *ln2, void *dp, ui32 bit_depth, ui32 count)
void | ojph::gen_cvrt_32b1c_to_16ub1c_le (const line_buf *ln0, const line_buf *ln1, const line_buf *ln2, void *dp, ui32 bit_depth, ui32 count)
void | ojph::gen_cvrt_32b3c_to_16ub3c_le (const line_buf *ln0, const line_buf *ln1, const line_buf *ln2, void *dp, ui32 bit_depth, ui32 count)
void | ojph::gen_cvrt_32b1c_to_16ub1c_be (const line_buf *ln0, const line_buf *ln1, const line_buf *ln2, void *dp, ui32 bit_depth, ui32 count)
void | ojph::gen_cvrt_32b3c_to_16ub3c_be (const line_buf *ln0, const line_buf *ln1, const line_buf *ln2, void *dp, ui32 bit_depth, ui32 count)